<?php

/*
 * @version		$Id: default.php 1.6 2011-09-09 $
 * @package		Joomla
 * @subpackage	hdwplayer
 * @copyright   Copyright (C) 2011-2012 HDW Player
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');
$datas = $this->datas;
$approval = $this->approval;

?>
<style>
.videolist .row0{
border-top: 1px solid #CEECF5;
border-bottom: 1px solid #CEECF5;
background: #EFF8FB;
}
.videolist .row1{
border-top: 1px solid #CEECF5;
border-bottom: 1px solid #CEECF5;
background:#ffffff;
}
.videoheader th{
	padding-top:15px;
	padding-bottom:15px;
}
</style>
<form action="index.php?option=com_hdwplayer&task=videos" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">
  <table style="padding-bottom:10px;">
    <tr>
      <td align="left" width="100%"><?php echo JText::_('Filter:'); ?>
        <input type="text" name="search" id="search" value="<?php echo $this->lists['search'] ?>" class="text_area" title="<?php echo JText::_('Filter by title'); ?>"/>
        <button onclick="this.form.submit();"><?php echo JText::_('Go'); ?></button>
        <button onclick="document.getElementById('search').value='';this.form.getElementById('filter_state').value='-1';this.form.getElementById('filter_category').value='- Select category -';this.form.submit();"> <?php echo JText::_('Reset'); ?></button>
        <label style="margin-left:15px"><strong>You have <font color="#FF0000"><?php echo $approval; ?> videos</font> (uploaded by your users) waiting for your approval.</strong></label></td>
      <td nowrap="nowrap"><?php echo $this->lists['categories']; ?> <?php echo $this->lists['state']; ?> </td>
    </tr>
  </table>
  <table class="adminlist">
    <thead class="videoheader">
      <tr>
        <th width="3%">#</th>
        <th width="3%"> <input type="checkbox" name="toggle"  value="" onClick="checkAll(<?php echo count( $datas ); ?>);" />
        </th>
        <th width="12%"> <?php echo JHTML::_('grid.sort',  'Title', 'title', @$lists['lists']['order_Dir'], @$lists['lists']['order'] ); ?> </th>
        <th width="15%"><?php echo JHTML::_('grid.sort',  'Category', 'category name', @$lists['lists']['order_Dir'], @$lists['lists']['order'] ); ?> </th>
        <th><?php echo JHTML::_('grid.sort',  'Video', 'video url', @$lists['lists']['order_Dir'], @$lists['lists']['order'] ); ?></th>
        <th width="12%"> <?php echo JText::_('Position'); ?> <?php echo JHTML::_('grid.order',  $datas ); ?> </th>
        <th width="8%"><?php echo JHTML::_('grid.sort',  'Type', 'video type', @$lists['lists']['order_Dir'], @$lists['lists']['order'] ); ?></th>
        <th width="5%"><?php echo JHTML::_('grid.sort',  'User', 'user', @$lists['lists']['order_Dir'], @$lists['lists']['order'] ); ?></th>
        <th width="5%"><?php echo JHTML::_('grid.sort',  'Featured', 'featured', @$lists['lists']['order_Dir'], @$lists['lists']['order'] ); ?></th>
        <th width="5%"><?php echo JHTML::_('grid.sort',  'Views', 'views', @$lists['lists']['order_Dir'], @$lists['lists']['order'] ); ?></th>
        <th width="5%" class="title" nowrap="nowrap"> <?php echo JHTML::_('grid.sort', 'Published', 'cd.published', @$lists['order_Dir'], @$lists['order'] ); ?> </th>
      </tr>
    </thead>
    <tbody class="videolist">
      <?php
		$k = 0;
		for ($i=0, $n=count($datas); $i < $n; $i++) {
			$row = $datas[$i];
			$k          = $i % 2;
			$link 		= JRoute::_( 'index.php?option=com_hdwplayer&task=editvideos&'. JSession::getFormToken() .'=1&'.'cid[]='. $row->id );
			$checked 	= JHTML::_('grid.id', $i, $row->id );
			$published 	= JHTML::_('grid.published', $row, $i );
			$featured   = ($row->featured == 1) ? 'Yes' : 'No';
		?>
      <tr class="<?php echo "row$k"; ?>">
        <td align="center"><?php echo $i+1;?> </td>
        <td align="center"><?php echo $checked; ?> </td>
        <td align="center"><a href="<?php echo $link; ?>"> <?php echo $row->title;?> </a> </td>
        <td align="center"><?php echo $row->category; ?> </td>
        <td align="center"><?php echo $row->video; ?> </td>
        <td class="order" style="text-align:right; padding-right:2px;padding-top:10px;"  valign="middle">
        <span ><?php echo $this->pagination->orderUpIcon( $i, ($row->category == @$datas[$i-1]->category), 'orderup', 'Move Up'); ?></span>
        <span><?php echo $this->pagination->orderDownIcon( $i, $n, ($row->category == @$datas[$i+1]->category), 'orderdown', 'Move Down'); ?></span>
          <input type="text" name="order[]" size="3" value="<?php echo $row->ordering; ?>" style="text-align: center;width:auto;" />
        </td>
        <td align="center"><?php echo $row->type; ?> </td>
        <td align="center"><?php echo $row->user; ?> </td>
        <td align="center"><?php echo $featured; ?> </td>
        <td align="center"><?php echo $row->views; ?> </td>
        <td align="center"><?php echo $published; ?> </td>
      </tr>
      <?php
      }
  ?>
    </tbody>
    <tfoot>
      <tr>
        <td colspan="15"><?php echo $this->pagination->getListFooter(); ?></td>
      </tr>
    </tfoot>
  </table>
  <input type="hidden" name="task" value="videos" />
  <input type="hidden" name="boxchecked" value="0">
  <input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
  <input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
  <?php echo JHTML::_( 'form.token' ); ?>
</form>